Personal Backup
===============
(c) 2001-2021, Dr. J. Rathlev, 24222 Schwentinental, Germany

Revision history:
-----------------

6.1.17.0 (2021-06-16)
--------
  - Bug fixes:
    - Opening a restore, verify or cleanup task from the command line
    - Initializing the pointer "FTaskFolder" in WinTask (required for
      64-Bit platform)
    - Continue counting of alternating schedules if missed

6.1.16.3 (2021-04-20)
--------
  - Bug fixes:
    - Numeration of alternating schedules with 14, 21, ... days at end of cycle
    - On disabled log the task options were not displayed

6.1.16.0 (2021-04-03)
--------
  - Bug fixes:
    - Numeration of alternating schedules with 14, 21, ... days
    - Log printout: line wrapping on new page

6.1.15.0 (2021-03-20)
--------
  - Changes:
    - Enhanced entries in verbose log for junction points
  - Bug fixes:
    - Log view if a full path is specified for the log file
    - Backup of single files without extension

6.1.14.0 (2021-02-26)
--------
  - Changes:
    - Restore from zip archives per directory allows use of wildcards in
      filename (e.g.  PBu-*.zip)
    - Display of number of files wirh thousands separator
    - Install setup created with Inno Setup 6.1.2
  - Bug fixes:
    - Changing the destination between Windows and FTP
    - Excluding security copies from verfify
    - Time column in verbose log
    - Directory selection of network resources
    - Use of paragraph character in filenames on zip compression

6.1.13.0 (2021-02-01)
--------
  - Bug fixes:
    - Cancelíng a network connection under special user account after backup
    - Directory selection in cleanup dialog
    - Icon in Windows notification area in "quiet" mode
    - Update of subdirectory tree
    - Changing the destination between Windows and FTP

6.1.12.1 (2021-01-07)
--------
  - Bug fixes:
    - Synchronization in mode "Selected files, retain other"

6.1.12.0 (2021-01-06)
--------
  - Changes:
    - Automatic closure of log display on quitting the program
    - Enhanced security on password entry (mail and FTP)
  - Bug fixes:
    - Position of control panel after starting with /force
    - Backup button in control panel
    - PbMon: calling the filter editor
    - PbRestore: restore of timestamps of encrypted files

6.1.11.0 (2020-12-06)
--------
  - Changes:
    - Display of TSpeedButton  icons on high DPI and 64-bit
    - PbStarter: optional selection of log file
  - Bug fixes:
    - Evaluating the exit code of ext. programs after backup
    - Missing zip extension on backup by root directory into zip archive if the
      directory name includes a period
    - Minimize and Pause button in status window not visible
    - PbStarter: command line option /logmode

6.1.10.1 (2020-11-21)
--------
  - Changes:
    - Position of main window on two screens
    - New command line option "/noscale": no scaling of Icons
  - Bug fixes:
    - Scaling of icons on High DPI for TSpeedButton and 64 bit
    - PbRestore: file display

6.1.10.0 (2020-11-05)
--------
  - Changes:
    - Scaling of icons on high DPI
    - Display of log directory in log dialog
    - Regular expressions changed to TPerlRegEx
    - Standard file filter with otional "AND" (+) and "NOT" (!)
    - Optional user defined parameters in the command line for the Windows
      Task Scheduler
  - Bug fixes:
    - Dialog to edit file and directory filters
    - Display of select dialog (unit SelectDlg) on scalings more than 100%
    - Desktop shortcut for backup "By request"
    - Subsequent action, e.g. shutdown, after running an automatic task from
      the command line (opt. #..)
    - Security copies on synchronization in mode "Selected files .."
    - Windows Task Scheduler: selection of weeks of months
    - Wizard: directory selection on paths with volume name
    - PbStarter: using alternate ini path from command line
    - PbPlaner: event logging in Windows

6.1.9.2 (2020-10-12)
--------
  - Bug fixes:
    - Starting with an empty ini file raises a listindex error in the program
      settings

6.1.9.1 (2020-10-10)
--------
  - New:
    - Placeholder for backup mode in destination directory
  - Bug fixes:
    - Switching between include/exclude subdirectories

6.1.9.0 (2020-10-09)
--------
  - New:
    - Enhanced selection to backup single files
  - Changes:
    - Optional use of creation and modification time for time slot selection
    - After adding single files no subdirectories are scanned
    - Optimization of file queries at the destination during backup
    - Adjustable colors for comment line in list of backup tasks
    - PbRestore: Preview on restore from zip archives
  - Bug fixes:
    - Cancelling the synchronization if source is missing
    - Presettings for new verifications
    - PbStarter: Initializing the mail dialog

6.1.8.0 (2020-09-07)
--------
  - Changes:
    - PbPlaner: starting via Desktop shortcut allows multiple diff./incr. backups
      after user prompt
    - Redesigned FTP units
    - Separate setting for enable/disable Windows notifications (balloon tips)
    - ".*" is automatically added to file filter if no extension is specified
    - New log option: display all files not copied in long log
  - Bug fixes:
    - Placeholder for date starting external programs
    - Run of missed backups at a specified time of day
    - Scannung of directories on opening a task
    - Display of number of deletes files on synchronization
    - TbBackup: Restore from other source directory
    - Placeholder for abbreviated day of week with closing dot (e.g. used in
      Windows regional settings for German-Austria)

6.1.7.0 (2020-08-05)
--------
  - New:
    - New option for automatic tasks: "By request"
      Starting the backup on the selected days of the week requires the command
      line parameter "#", an appropriate Desktop shortcut or a click on the taskbar
      context menu
    - Optional  reset of archive bit on restore
    - New placeholder for destination: alternating versions (see 5.6.7.0)
    - Optional use of the creation time for time slot selection
  - Changes:
    - Placeholder for name of log file were changed
    - Display of log: optional selection if not found
    - Placeholder for alternating days, weeks and months can be multi-digit
    - On sychronization system directories (like System Volume Information) will
      be excluded if located in the root of a drive
    - Log display on Restore, Verify and Cleanup
    - Using a link as external program
    - Notification in mail subject if the execution of an external program failed
  - Bug fixes:
    - Desktop shortcut on automatic tasks
    - Updating the display of subdirectories
    - Attributes and time stamps of drive roots are not set
    - Backup of single zip files via FTP with verification
    - Command line option /edit

6.1.6.0 (2020-07-01)
--------
  - Changes:
    - Eroor message on invalid user in task scheduler
    - Check for writeable destination uses random names
    - Placeholder for volume name of destination in log names
    - Optiona deletion of previous log entries
    - Enhanced error information on creating of dektop shortcuts
  - Bug fixes:
    - Display of hidden command lines in log
    - PbRestore: recognizing of zip archives with encrypted filenames if a size
      limit was specified on backup but only one segment was created
    - Possible endless loop on synchronizing if option "Security copies" is
      activated
    - Placeholder in external program settings for destination using volume name

6.1.5.0 (2020-06-02)
--------
  - New:
    - Copying a list of all time schedules to clipboard
  - Changes:
    - Dialog for security copies on restore
    - Presets for new tasks to restore, verfy and cleanup will be taken from
      the currently selected nackup task
    - Using placeholders on replacement of directories to be backed up
  - Bug fixes:
    - Unassigned pointer in PbRestore (64-bit)
    - Status window on loading a task or scanning the directories to be backed up
      was not displayed after "/autostart"
    - Scanning the directories to be backed up before backup
    - Canceling the scanning of the directories to be backed up
    - Status window on deleting directories
    - Deleting of directories containing security copies older than the specified
      number of weeks during backup
    - Time slot on restore
    - Restoring a previous state
    - TbBackup: path checking

6.1.4.0 (2020-05-06)
--------
  - Changes:
    - New identified file system: WinBTRFS
    - Some adjustments to high resolution screens
    - Internal unit references
  - Bug fixes:
    - Unexpected closing of status window on special configurations for
      external programs
    - Occasional display issues in backup dialog
    - Canceling by user on non existing net connection
    - Replacement of invalid characters in filenames was not Unicode compatible
    - Checking for not specified destination directory and overlapping of source
      and destination

6.1.3.0 (2020-04-06)
--------
  - New:
    - Cleanup: Option to delete as many of the oldest files until a settable
      volume is reached
  - Changes:
    - Additional hints for backup destination (type, available space) in the
      control panel
    - Context menu for tasks with option to display all files to be saved
      (only on diff./inc.)
    - Display of help via taskbar menu
    - PbPlaner: Logon type query changed from "interaktiv" to "batch"
  - Bug fixes:
    - Error handling in Restore, Verify and Cleanup
    - External programs: returned exit codes > 255
    - FTP: differentiation of lower/upper case of filenames
    - Restore: error in dialog to change the time comparison tolerance of timestamps
    - Backup: alternative name for temp. file if a directory of the same name
      already exists
    - Interactive disabling a subsequent action during backup

6.1.2.0 (2020-03-11)
--------
  - Changes:
    - Improved editing of history lists
    - improvement on baccking up data to removable media and net id subdirectories
      are in- or excluded
    - Command line option /log extended to /logmode (for better differentiation
      to /logdir)
    - Directory dialog: no network browsing on Windows 10 if SMB1 protocol is
      not installed
  - Bug fixes:
    - "Save as" for tasks provided for time schedules
    - Tooltips in control panel
    - Name of desktop shortcut for multiple backups
    - Execution of external programs using full paths

6.1.1.0 (2020-02-10)
--------
  - New:
    - User configurable menu to starte external utility programs
    - Unscheduled run of an automatic backup
  - Changes:
    - Download of programm update uses secure connection (https)
    - Security copy int root directory with opt. backup date
    - Improved Restore using security copies
    - Applying security copies on verification and cleanup
    - Export of multiple directories as new task
    - Update to OpenSSL v1.0.2u from 2019-12-21
  - Bug fixes:
    - Loading of language and update settings with alternative ini file
    - Restore to origin on different drives

6.1.0.1 (2020-01-15)
--------
  - Bug fixes:
    - Starting a backup under Windows 8 (system version query)

6.1.0.0 (2020-01-03)
--------
  - New:
    - Additional attachments for mail delivery
    - Processing of PowerShell scripts as external programs
    - Confirmation on "Save as" und "Export" if fixed password is used
    - Display icon in control panel if external programs are active
    - On backups into zip archives, separated by root directory the archive name
      is generated from the drive letter (e.g. DrvK.zip)
  - Changes:
    - Improved script processing for external programs
    - Improved dialog for external programs
    - PbRestore: New option "include aubdirectories"
    - PbStarter: Improved settings for Task Scheduler
    - Utility programs: Path to ini file same as in PB
  - Bug fixes:
    - Backup via FTP, if a directory access was denied
    - PbRestore: Restore after wrong passowrd entry
    - PbRestore: Restore from zip archives
    - FTP-Keep-Alive: Idle = 5 min, Interval = 1 min

6.0.12.0 (2019-12-03)
--------
  - Changes:
    - Additional keyboard shortcuts
    - Partial code redesign in BuMain
    - Optional selection of multiple tasks for Windows Task Scheduler
    - Improved display for coming automatic backups
    - PbPlaner: Display of cycles and steps
  - Bug fixes:
    - User prompt for option "prompt:silent"
    - Run backup if scheduled start was missed after resuming from suspend
    - PbMon: Loag view
    - PbMon: max. number of directories to be monitore = 100
    - PbMon: Stackoverflow on autmatic start
    - PbPlaner: Connection to Windows Task Scheduler

6.0.11.0 (2019-11-06)
--------
  - Changes:
    - Preferences for shutdown: if "lock computer" is enabled, the hybrid sleep
      is not available
    - Additional commandline option: /end:lockdown (lock and shutdown)
    - Dialog for Desktop shortcuts
    - Program update in taskbar context menu
    - Display of progress on deleting files at destination (full,diff,incr)
    - Colored highlighting of active automatic tasks
    - Selection of FTP remote directory on backup
    - Log file on restore using TbBackup
    - PbMon: new option "Show user prompt on errors"
  - Bug fixes:
    - Display of console after execution of external programs
    - Weekday selection in automatic task after language was changed
    - Progress display on verifying zip archives
    - Restore via FTP was hanging
    - Speed display on backups into zip archives
    - Execution of external programs
    - Security copies on synchronization via FTP into a subdirectory

6.0.10.0 (2019-10-13)
--------
  - New:
    - Comment lines can be added to the list of backup tasks in the control panel
      e.g. to arrange the tasks
  - Changes:
    - PbMon: optional operation background
    - Moving of multiple entries in the list of backup tasks in the control panel
    - To support a backup on shutdown in Windows 10 (1903), the presetting for
      the "Power off" mode will be automatically changed to dmShutdown (see
      command line option "/end:shutdown").
  - Bug fixes:
    - Creating a Desktop shortcut to start a backup
    - Desktop shortcuts for backup tasks havin spaces in filename
    - Display of console windows before and after backup
    - User break on hanging external applications
    - PbStarter: error message in log after failed backup
    - Opening an buj file while the editor window is opened
    - Starting a second program instance

6.0.9.0 (2019-09-20)
-------
  - Changes:
    - Backup tasks are added to the list "My backup tasks" after "Save as"
    - New commanline option "/parallel" to start the specified backups in parallel
    - Dialog to create desktop shortcuts
    - Delete option in log display window
  - Bug fixes:
    - Security copies (>=10) bon backup via FTP
    - Minimizing the status window
    - PbMon: sometimes backup was not started in spite of changes 

6.0.8.1 (2019-08-22)
-------
  - Bug fixes:
    - Directory selection on not existing volume name or directory
    - Using the VSS option on backup
    - Display of current backup after autostart

6.0.8.0 (2019-08-19)
-------
  - Changes:
    - My backup/restore/cleanup/verify tasks: selection of multiple tasks
      possible
    - The backup method "Separated by root directory" allows the selection of
      source directories on separate drives provided that the relevant
      subdirectories have differing names
    - Revised dialogs for restore, cleanup and verify
    - Optional alphabetical sorting if task lists
  - Bug fixes:
    - Updating file filter display
    - Displaying synch mode hint was not reset on creating a new task
    - Placeholders for source and destination
    - Specifying file filters
    - Display message if a medium is not inserted
    - Synchronization before backup of empty destination directory
    - Start of automatic backups only in standby mode
    - File count on diff./incr. backups
    - Deleting of surplus security copies on backup
    - Cleanup: Deleting security copies with version count

6.0.7.0 (2019-07-14)
-------
  - Changes:
    - Presets in Backup Wizard for FTP and zip
    - Automatic closing of openend log window on stand by
    - FTP: Show file size in log when copying zip archives
    - max. delay after backup on logoff increasewd to 10 min
    - Selection of multiple tasks for Windows Tasck Scheduler
  - Bug fixes:
    - Behavior on starting for the first time after a new installation
    - The program hung on selecting a destination directory if the old path
      points to a not existing root directory
    - On synchronization using the recycle bin the files of directories to be
      deleted were not included into total file count
    - Checking for automatic program updates was only done on Autostart
    - Verification of zip archives copied via FTP

6.0.6.0 (2019-06-19)
-------
  - Changes:
    - Context in Windows notification area: Utilities added
    - Selectionon backup: skip / cancel if a source drive is not available
    - Preset "dmShutdown" instead of "dmPowerOff" for backup on logoff/shutdown
      (same as desktop shortcut)
    - Installation: enabling entries in Windows Event Log
    - Windows Event Log: entry on failed shutdown includes system error message
  - Bug fixes:
    - Control panel: selection after deleting a task
    - TbBackup: detection of default profile 
    - Control panel: message on errors starting Restore, Verify and Cleanup
    - Log: output on full backup of alternating schedule
    - Log: time data in verbose log on backups into zip archive
    - PbPlaner: catching up a missed full backup
    - Backup to FTP as zip archive: deleting temp. files

6.0.5.0 (2019-05-16)
-------
  - Changes:
    - Additional icon in control panel to show that a task is registered in
      Windows Task Scheduler
    - Direct selection of a task in the list of scheduled tasks if an appropriate
      entry was found
    - Hint on backup mode in control panel
    - Revised management of tasks list
    - Additional error messages in TbBackup
    - Update to OpenSSL v1.0.2r from 2019-03-02
    - Translation update for French and Russian
  - Bug fixes:
    - Splitter between backup settings and directory selection
    - Error on command line option /reset

6.0.4.0 (2019-04-22)
-------
  - New:
    - Windows Task Scheduler: Option to create and edit multiple schedules
      (triggers) for each task
  - Changes:
    - Enhanced detection of external USB drives
    - Windows Task Scheduler: icon in list view shows if last run was successful
      or not
    - Backup-Editor: narrow window size no longer available (option /narrow)
    - Copying file attributes can optionally be disabled
  - Bug fixes:
    - On backup from a USB drive into a zip archive the drive letter inside
      the path names was not removed
    - Restore: possible drive letters in path names are ignored
    - PbStarter: on simultaneous starts of the program only the first instance
      could write to the log
    - After creating a new backup task using the wizard some settings were not
      preserved in a right way

6.0.3.0 (2019-03-31)
-------
  - Changes:
    - Icon in Control Panel to show if compression and/or encryption is enabled
    - Updatedialog will automatically close after 10s (instead 5 s)
    - Display of destination zip archive in Control Panel
    - On starting backups from the Control Panel, you can optinally select
      multiple tasks for simultaneous execution
    - SMTP: support of TLS v1.1 and TLS v1.2 enabled in addition to TLS V1.0
      (TIdSSLIOHandlerSocketOpenSSL.SSLOptions.SSLVersions)
    - FTP: no canceling of backup after error on directory change
    - FTP: Enhanced error messages
  - Bug fixes:
    - FTP: On backup of an already compressed file as zip the previous version
      was deleted before creating a security copy

6.0.2.0 (2019-03-11)
-------
  - Changes:
    - New option in Task Scheduler wizard: "Run with highest privileges"
    - "Desktop" and "Links" added to selection of user folders in wizard
    - Setting of default ports for normal and implicit FTPS
    - User-selectable log files also for Restore, Cleanup und Verify
    - Access to network resources as different user
    - FTP: support of TLS v1.1 and TLS v1.2 enabled in addition to TLS V1.0
      (TIdSSLIOHandlerSocketOpenSSL.SSLOptions.SSLVersions)
    - FTP: Send socket command SO_KEEPALIVE to keep connection alive during
      data transfer
  - Bug fixes:
    - Selection of destination directory in Thunderbird restore
    - Displaying progress on splitted zip archives
    - Performing a subsequent action (e.g. shutdown) after canceling a backup
    - Setting the command line options in TbBackup
    - Mail delivery on running TbBackup from Windows Task Scheduler
    - Adding a new schedule for a backup task

6.0.1.4 (2019-02-13)
-------
  - New:
    - New command line option "/erractions": Disable a subsequent action like shutdown
      if there were specific errors
    - Display of directories to be backed up as hint in the control panel
  - Changes:
    - Directory selection dialog: If a directory cannot be found, the next available
      parent directory will be used
    - Enhanced error messages on FTP transfer of zip archives
    - Output of FTP server's capabilities in verbose log
    - Deletion of task files
    - Additional settings for comparison of files during backup (timestamp and size)
    - Synchronizing of junctions
    - Languages added: French, Spanish and Russian
  - Bug fixes:
    - Status display and log output on restore with errors
    - Restoring encrypted files: a file that could not be restored due to a wrong
      password will be deleted at the destination instead of leaving a zero-byte file
    - FTP: Deleting of empty directories on backup
    - Backup on first logoff on particular days of the week
    - Progress indicator from file size

6.0.1.3 (2019-01-12)
-------
  - Changes:
    - Improved details in the control panel
    - Sizeable control panel
    - Improved display captions
    - Languages added: Italian and Portuguese
  - Bug fixes:
    - Deleting of backup tasks from "MyBackups" list
    - Reading an empty zip archive
    - Restore in mode "zip archives per directory" with empty root directory

6.0.1.2 (2019-01-02)
-------
  - Changes:
    - New group in Windows startmenu: Personal Backup 6
    - Display of date from Windows Task Scheduler
    - Display position of log window fits to screen
    - Enhanced error messages on FTP
    - Optional editing of drive identifier in backup task
    - Language added: Dutch
  - Bug fixes:
    - TbBackup: start using option /force and without /backupdir

6.0.1.1 (2018-12-18)
-------
  - Changes:
    - Language added: Hungarian

6.0.1.0 (2018-12-16)
-------
  - Changes:
    - Direct editing of backups tasks from Windows Task Scheduler
  - Bug fixes:
    - Verify during backup via FTP
    - Starting the program via double-clicking a buj file
    - Minimizing the backup dialog

6.0.0.0 (2018-12-06)
-------
  - New:
    - A new Control panel provides a fast overview of all backups and time schedules
    - New utility program PbMon for real time backup of selected directories
  - Bug fixes:
    - Icon in Windows notification area was sometimes not displayed after autostart

5.9.4.9 (2018-12-06)
-------
  - Changes:
    - Local file header in encrypted archives changed (vers flag)
    - InfoDialog FormStyle to fsStayOnTop
  - Bug fixes:
    - CentralDirSize in EndHeader of encrypted archives

5.9.4.8 (2018-11-18)
-------
  - Bug fixes:
    - Synchronizing in mode "Selected files, retain other" (refer to bug fix below)

5.9.4.7 (2018-11-07)
-------
  - Changes:
    - Display start time in failed backup notification
  - Bug fixes:
    - Timestamp for destination directory on method "dmOneDir"
    - Display directories instead of type list after changing the source directory
    - Display mail delivery error on iaPrompt and iaErrorPrompt
    - Synchronizing in mode "Selected files, delete other" if only tagged
      directories are to be backed up

5.9.4.6 (2018-10-09)
-------
  - Changes:
    - Program reset (position, size and task) via icon context menu in the
      Windows notification area (similar to command line option /reset)
  - Bug fixes:
    - Settings for log file
    - On backups as single zip files, existing uncompressed older version were not
      deleted
    - Canceling an FTP transfer
    - PbStarter and TbBackup: Registry key for PersBackup.exe on 64-Bit systems
    - Less than 16 automatic tasks in ini file caused a "list out of bounds" error
    - Display issues on high resolution screens
    - PbStarter: dialogs for Task Scheduler and Desktop shortcut

5.9.4.5 (2018-09-07)
-------
  - Changes:
    - After autostart the update dialog will be closed after 5 s automatically
    - Enhancements in backup log
    - If a user is logged on as admin and has configured automatic tasks using
      VSS, the start-up link will have the flag SLDF_RUNAS_USER been set
  - Bug fixes:
    - A user-sized subdirectory window was not restored
    - Entry of file sizes
    - Filter setting for files older/not older than n days

5.9.4.4 (2018-08-08)
-------
  - Changes:
    - PbRestore: Enhancements on retsore of alternating schedules
    - Optional check of download for progam update using SHA256
    - PbPlaner: Changes for execution using Windows Task Scheduler with
      different user account
    - new TLS certificate
    - Windows Task Scheduler: notification on invalid task names
  - Bug fixes:
    - Excluding of directories starting with space
    - Selection of subdirectories using filters

5.9.4.3 (2018-07-11)
-------
  - Changes:
    - Optional subsequent action for Restore Cleanup and Verify
    - Password dialog was changed
    - New options for status window in Windows Task Scheduler wizard
  - Bug fixes:
    - Synchronisation via FTP: output of directory names to log
    - Indy10 - IdFTPListParseUnix: Exception on filenames with Chinese
      characters for day bur nor for month
    - Backup into zip archives via FTP: optimization of reconnections
    - Deleting of old security copies
    - Restore from zip archives: handling of invalid timestamps

5.9.4.2 (2018-06-17)
-------
  - Changes:
    - A drive letter (e.g. E:\) can be replaced by the volume GUID (\\?\Volume{...}\)
    - Update to OpenSSL v1.0.2o from 2018-03-27
  - Bug fixes:
    - Graying of directories no longer available
    - Installation: handling of empty .zip registry keys
    - Alternating schedules: daily cycles without full+diff./incr.

5.9.4.1 (2018-05-10)
-------
  - Changes:
    - PbRestore: optional file filter on restore of directories
  - Bug fixes:
    - Creation of new tasks for Windows Task Scheduler
    - Trigger display in wizard for Windows Task Scheduler
    - Synchronization: selection of recycle bin
    - Focus on list of directories to be backed up

5.9.4.0 (2018-04-30)
-------
  - New:
    - Main menu function to delete tasks
    - Optional encryption of filenames in zip archives (nor compatible to
      standard zip format)
    - Extension in PbRestore to unpack zip archives with encrypted filenames
  - Changes:
    - Optional deleting of empty directories on Cleanup via FTP
    - Enhanced log output
    - Directories mounted as junctions and selected directly will be
      backed up without setting the option "Include files from junctions"
    - Added icon to Explorer context menu "backup folder"
  - Bug fixes:
    - Executing the default task to backup a selected directory
    - Two week cycle with alternating schedule
    - Replacing of directories to be backed up, program could hang up
    - TbBackup: moving mail data
    - Decryption of enc files made by version before 5.8.5.0

5.9.3.0 (2018-03-12)
-------
  - New:
    - Copying of alternate data streams
    - Optional deleting of empty directories after FTP backup
  - Changes:
    - Enhancement on cleanup: deleting of empty directories
  - Bug fixes:
    - Task scheduler wizard: Displaying the days of the week for weekly schedules
      (monday was always checked)
    - Setting of file attributes after copying of document summary
    - Display error on shifting the vertical splitter
    - Alternating schedules: backup on multiple logoffs at the same day
    - Alternating schedules: backup 1 x weekly at selected day
    - Column header for file types: display of sort sequence was missing

5.9.2.1 (2018-02-14)
-------
  - New:
    - New placholder for destination directory (%evar(...)%) to insert any
      Windows environment variable
    - New placholder for destination directory: %LDOW% (long name of day of week)
      and %LMONTH% (name of month)
  - Changes:
    - On automatic backups daily at selected time the restart of a missed backup
      at next logon can be disabled
  - Bug fixes:
    - Directory selection using secure FTP on restore
    - Access violation on backup into zip archive after end status message
      if the source is a root directory of a drive and the option "Delete
      empty directories t destination" is not selected (reason: error in
      ExtFileTools:IsOEMStr called by AddDir with empty string)
    - If the status window is displayed always on top, other running applications
      will no longer lose the focus

5.9.2.0 (2018-02-01)
-------
  - New:
    - New command line option "/stay" in connection with "/auto": program will
      run in background even if no backup is pending on the current day
    - Language: Polish
  - Changes:
    - Compression settings for files without extension
    - Display of saved volume names for source directories
    - Adjustable font in log view window
    - Ini file of PbRestore, PbStarter and TbBackup changed to Unicode
    - Output of exitcode from external programs in mail
  - Bug fixes:
    - Replacement of directories no longer existing
    - Task Scheduler Wizard: display and selection, days of the week
    - Layout of dialog windows: space for longer text, anchors
    - Verify dialog: switching between local and Ftp
    - TbBackup: synchronizing with recycle bin could not be enabled
    - Alternating schedules with 2 week cycle

5.9.1.7 (2018-01-05)
-------
  - Bug fixes:
    - Editing of alternating schedules with 1 and 2 week cycle
    - Reading of old tasks without option "Compress into single Zip files"
    - Checking if destination is available
    - Optional backup of empty root directories into zip archives
    - PbStarter: password entry

5.9.1.6 (2017-12-31)
-------
  - Bug fixes:
    - External programs: calling vb scripts
    - Restore: on restore of encrypted single zip files using a fixed password
      the first file was not processed correct
    - Initialization of the Task Scheduler Interface

5.9.1.5 (2017-12-28)
-------
  - Bug fixes:
    - External programs: batch files with spaces in path
    - Junctions on directory filters
    - Task scheduler: Selection of days of the week without Monday and months
      of the year without January

5.9.1.4 (2017-12-23)
-------
  - Changes:
    - Update of Task Scheduler View on typing F5
  - Bug fixes:
    - On sources with UNC paths the destination was faulty
    - Problem starting the program under Windows Vista and 7 fixed
      (Error in calling "connect" of ITaskService)
    - Execution of external programs with cmd.exe

5.9.1.3 (2017-12-19)
-------
  - Bug fixes:
    - Time limit for scheduled tasks was not applied
    - VSS backup did not work
    - TbBackup: status windows in mail test delivery caused error
    - Initializing Task-Schedulers under Windows XP and Vista

5.9.1.1 (2017-12-16)
-------
  - Changes:
    - Files created after the VS copy will be excluded from backup to avoid
      raising an error
    - New directories to be backed up are no longer added at the end of the list,
      but will be inserted at the selected directory
  - Bug fixes:
    - The wizard for Windows Task Scheduler did not show any scheduled tasks
      if the path to the program contains spaces

5.9.1.0 (2017-12-10)
-------
  - New:
    - New FTP option for time offset at MDTM/MFMT
    - Direct setting of automatic backups using Windows Task Scheduler
      in TbBackup
  - Changes:
    - Advanced functions in select dialog for scheduled tasks
  - Bug fixes:
    - Renaming of zip archives > 4 GiB
    - Displaying progress on splitted zip archives
    - Connection to Windows Task Scheduler
    - On setting the archive attribute at source an false error was reported under
      special circumstances

5.9.0.8 (2017-11-23)
-------
  - New:
    - New entry in context menu for directories to be backed up: replace
      selected directories that are not available
    - New restore option: only files of a selected date
    - New interface to Windows Taskscheduler 2.0 (applicable since Vista)
      with extended options
    - Scheduled task wizard also available in PbStarter
    - New FTP option to use IPv6 protocol
    - New FTP option to send OPTS UTF8 ON
    - New command line option "/elevate" prompts to "run as adminstrator"
  - Changes:
    - Improved wizard to create new backup tasks
    - Display scan status when loading a task that uses directory filters
    - On backups of directories located on an external drive and using the method
      "separated by drives" the names of the subdirectories at destination will be
      built from the volume name (e.g. G:\Backup\Data-1\..) instead of the drive
      identifier (e.g. G:\Backup\DrvK\..)
    - Sizes in bytes will use prefixes from IEEE 1541 (KiB,MiB,GiB)
    - On backups at logon/logoff on selected days of the week running of missed
      starts can be disabled
    - Automatic backups with alternating schedules can be started immediately or
      with the next full backup
  - Bug fixes:
    - Restore of timestamps from gz/gze files
    - Zip compression was set wrong on old backup tasks
    - Prompt on backup from removable not available drives
    - Log directory path with spaces in PbStarter
    - Split sizes >= 2GiB of zip archives fixed
    - Multiple trys on renaming of zip archives (see 5.7.4.0)
    - Time scheduled automatic tasks if failed

5.9.0.0 (2017-09-01)
-------
  - New:
    - Backup into splitted zi archives of adjustable size
    - Automatical backup at preset time on selected days of the week
    - Adjustable preset for compression of new backup tasks
    - Options for external programs to prompt for execution as adminstrator and
      to show a window with console output
    - New time-slot selection for files: only backup if timestamp is newer than
      the last backup date of the associated task (see below: /timeslot)
    - New command line option "/portable" will automatically create the environment
      to start the program from a USB stick with no traces left behind on the PC:
      "/ini:%progpath%\Persbackup.ini /taskdir:%progpath%\tasks /logdir:%progpath%\logs"
    - Changed command line option "/timeslot:<option>" (replacement for "/gap:..")
    - New command line option "/timeslot:update" will backup only files with timestamps
      newer than the last backup date of the associated task
    - New file header for not compressed encrypted files containing the timestamp (is
      compatible to previous versions on decryption)
    - Restore of not compressed encrypted files (.enc) will restore original timestamps
      (e.g. if using an FTP server not supporting MFMT)
  - Changes:
    - Invalid characters in filenames hold in the header of zip archives (Code page 437)
      will be converted into character $D7 = × (former $20 = space)
    - Setting for drive identifier moved to program preferences
    - Extended error messages in long log file
    - Installation: no prompt after canceling because of version mismatch (32/64)
  - Bug fixes:
    - "VssBackupDoc.xml" is excluded from synchronisation
    - FTP connections with special port settings
    - Test for mail delivery in TbBackup
    - Verify of encryted zip files via FTP
    - PbRestore: overwriting of existing files on restore

5.8.10.6 (2017-08-22)
--------
  - Changes:
    - Clicking the log status display at the upper right will open the
      associated options dialog
    - Update to Indy 10.6.2.5432 (July 2017)
  - Bug fixes:
    - No copy of VssBackupDoc.xml if VSS failed
    - Displaying the subdirectories of the first entry after loading a task
    - Selection of subdirectory on restore from FTP
    - Restore of encrypted zip files from FTP

5.8.10.5 (2017-08-04)
--------
  - Changes:
    - Optimization of FTP transfer
  - Bug fixes:
    - FTP transfer: handling of broken connections and log output
    - Synchronization with security copies via FTP
    - Displaying the subdirectories after loading a task

5.8.10.3 (2017-07-30)
--------
  - Bug fixes:
    - Path for cfg file was not set in the right way
    - Log output (verbose) if using archive bit
    - Test for mail delivery in TbBackup

5.8.10.2 (2017-07-27)
--------
  - Changes:
    - Improvement of FTP transfer: reconnection after errors
    - Log output on running external programs
  - Bug fixes:
    - Saving of selection of directories to be backed up
    - User defined window size of log view was not saved

5.8.10.1 (2017-07-24)
--------
  - Changes:
    - After FTP timeout the program trys to reconnect
  - Bug fixes:
    - Extraction of files from subdirectories in zip archives (PbRestore)
    - Use of placeholders (TbBackup)
    - Reading of "profiles.ini" in UTF8 format (TbBackup)
    - Selection of directory to be backed up changed back to OnClick
      (see 5.8.10.0)
    - Verfication and deletion with synchronizing of zip files on backup
      compression using gz format

5.8.10.0 (2017-07-09)
--------
  - Changes:
    - Selecting a directory in the list to be backed up will use OnMouseDown
      instead of OnClick
    - New file system: ReFS
    - Error log entry on exception during VSS creation
    - Check for existing FTP connection changed
  - Bug fixes:
    - After creating VSS the diverted source directory was not reset
    - Changes in VSS:DiscoverDirectlyExcludedComponents
    - FTP directory changes
    - If an empty task is loaded and at least one automatic task is activated to
      run a backup on selected days of the week, an error message was shown on
      starting the program: "Cannot focus a disabled or invisible window"

5.8.9.5 (2017-06-09)
-------
  - Changes:
    - Enhanced confirmation dialog and more detailed log entries on deleting
      of root directories
    - Adjustable delay time before starting the verification of copied file
      (see 5.8.6.3)
    - Directly editing of filter entries for directories by double click
    - The priority of the delivered mail will be set to high on errors during backup
    - VSS output: with localization for screen messages, no localization for VSS log
    - Enhanced identification of removable drives
    - Default compression for new task changed to zip
    - New option for ext. programs after backup: no start if no files were copied
    - The commandline option "/ini:.." can also specify a path instead of a file.
      The ini and cfg file then will be stored under this path as Persbackup.ini
      and Persbackup.cfg.
    - PbStarter: New commandline option /ini:...
  - Bug fixes:
    - Searching for errors in verbose log
    - Display of elapsed time (>= 24 hours) in log
    - Name of log file with placeholders in PbStarter
    - Possible exception in VssUtils for DisplayNameForVolume disabled
    - Writing of the "VSS Backup Components Document"
    - Selecting of options for junctions

5.8.9.3 (2017-05-14)
-------
  - Changes:
    - New placeholder to start external programs (%taskdir% and %progpath%)
    - Optimization of FTP backup
    - Evaluation of placeholder for destination directory on starting external
      programs
  - Bug fixes:
    - Synchronization of security copies
    - Deleting of read-only directories if option "Retain empty directories"
      is selected  

5.8.9.2 (2017-05-01)
-------
  - Bug fixes:
    - Fixed: FTP security copies with timestamp
    - FTP log file entries fixed: USER and PASS are displayed as plain text
    - Option /silent disabled for automatic updates because the install dialog is
      not displayed in that case

5.8.9.1 (2017-04-29)
-------
  - Bug fixes:
    - Fixed: prompts on not available destinations and status window always in front
    - Fixed: comparison of files with spaces in paths before restore
    - Fixed: verifying of files saved in zip files per subdirectory
    - Fixed: security copies with previous version and FTP
    - Fixed: synchronization of security copies per FTP
    - Fixed: forcing of UTF-8 on FTP

5.8.9.0 (2017-04-18)
-------
  - New:
    - New command line option /status:(normal,ontop,behind) for status window
      (Backup progress and result)
    - New entry in context menu for directories to be backed up: remove all
      selected directories that are not available
  - Changes:
    - Behavior of status window
    - Display position of status window when several backups were started via
      PbStarter in parallel
    - Schedules registered in Windows task scheduler are displayed in PbPlaner
    - Translations updated
  - Bug fixes:
    - Fixed: wait time for external programs was not converted to ms
    - several fixes in PbPlaner
    - Fixed: verifying of compressed encrypted files

5.8.8.0 (2017-03-28)
-------
  - New:
    - The command lines for external programs before and after a backup can
      contain Windows environment variables in addition to internal placeholders
    - Optional parallel processing of several tasks in PbStarter
  - Changes:
    - Directory filters may be used for more than one level
    - Update of Dutch translation
    - Format function replaced by function raising no exceptions
    - Playing sound at start of program and end of backup can be disabled
    - Status window while scanning directories before backup remains unvisible
      on command line option /quiet
    - Directories selected for backup that are temporary not available will be
      disabled (grayed)
  - Bug fixes:
    - Fixed: log output on cleaning-up root directories
    - Fixed: on-top display of status window
    - Fixed: error recognition if a destination file cannot be overwritten
    - Fixed: alternating schedules with automatic backups on selected days of
      the week on logon or logoff
    - Fixed: no scanning of not selected directories before backup if the option
      "Scan directories" is selected

5.8.7.3 (2017-03-10)
-------
  - Changes:
    - On mail delivery of logs as attachment always the same mode will be used
      as for the local log file
    - Small changes in mail text
    - Update to OpenSSL v1.0.2k
  - Bug fixes:
    - Fixed: log view only not modal if main window is visible (see 5.8.7.1)
    - Fixed: creation of directories with FTP (modification required for ProFTPD)

5.8.7.2 (2017-03-06)
-------
  - New:
    - New command line option: /tempdir:<dir> for alternative temp directory
  - Changes:
    - Changes in the preferences dialog for directories
    - After starting a backup manually or by the task scheduler and changing the
      succeeding action from "none" to any other the status window will be closed
      automatically after the predefined delay
    - A trailing backslash is always removed from source directories before
      adding them to the list
    - Retrieving of FTP root directory changed (due to ProFTPD)
  - Bug fixes:
    - Fixed: execution of external programs
    - Fixed: actions after backup as shutdown or standby in quiet mode
    - Fixed: log view only in no modal window if main window is displayed

5.8.7.1 (2017-02-27)
-------
  - Changes:
    - Log view changed (no modal window - see 5.8.7.3)
  - Bug fixes:
    - Fixed: display of total number of files (see changes in 5.8.6.3)
    - Fixed: starting an automatic task without alternating schedule via the
      context menu in the task bar (see changes in 5.8.7.0)
    - Fixed: log output for deleted directories during synchronization
    - Fixed: evaluation of path specifications from command line
    - Fixed: calculating for alternating schedules aligned on days of the week

5.8.7.0 (2017-02-17)
-------
  - New:
    - Backups designated for logoff can be started instead with succeeding
      standby via the context menu in the Windows information area
    - Optional creation of a Desktop shortcut to start an automatic backup task
      (incl. opt. alternating schedules)
    - Language: Russian
  - Changes:
    - On checking a volume name trailing spaces are ignored
    - Time information inserted into verbose log
  - Bug fixes:
    - Fixed: error on calculating the steps for an alternat schedule if the backup
      starts on logoff after midnight
    - Fixed: error in TbBackup 1.4 if the task dirctory does not exist yet 
    - Fixed: error on starting an automatic backup >=10 from the context menu in
      the information area
    - Fixed: error after changing the preselected action (e.g. shutdown) during backup 

5.8.6.3 (2017-02-03)
-------
  - Changes:
    - Adjustable wait time for network connections, file and directory operations
    - Selected subdirectories that do no longer exist are be removed from task
    - After opening a task that is used as automatic task the associated
      schedule will be displayed
    - Changed notification on start if automatisc tasks had errors
    - Header in log print out was changed
  - Bug fixes:
    - Fixed: error on detecting junctions if only selected subdirectories are
      to be backed up
    - Fixed: faulty counting of files on backups using archive bit (progress bar)
    - Fixed: if an error occured during synchronization subsequent directories
      were no longer processed
    - Fixed: error on synchronization with security copies (deleteing of not
      empty directories)
    - error on verifying encrypted files

5.8.6.2 (2017-01-17)
-------
  - Changes:
    - Enhanced log entries on deleting files
    - Update to OpenSSL v1.0.2j
    - Mail delivery: searching for SSL libraries changed
    - Dialog for Windows task scheduler changed
  - Bug fixes:
    - Fixed: processing of junctions on restore, etc.
    - Fixed: setting of time of day in file selections
    - No creation of pblink files on backups into zip

5.8.6.1 (2017-01-07)
-------
  - New:
    - Language: Portuguese
  - Changes:
    - Enhanced progress status in Windows notification area
  - Bug fixes:
    - Fixed: verbose error message during backups into zip files was incomplete
    - Fixed: deleting of directories (> 260 characters)
    - Fixed on synchronization: displaying the number of deleted files if
      whole subdirectories were affected
    - Fixed: error on detecting recursive junctions
    - TbBackup: invalid task configuration
    - Fixed: evaluating command line option /mode:full

5.8.5.5 (2016-12-18)
-------
  - Changes:
    - Version info in task files always from Personal Backup main program
    - Option to select zip compression for single files in wizard
    - Optional backup up of calendar data in TbBackup
  - Bug fixes:
    - Fixed: restoring of security copies from separate directory
    - Fixed: on backups into zip files error were not displayed in log

5.8.5.4 (2016-12-06)
-------
  - Changes:
    - Additional option in TbBackup for closing the status window
    - TbBackup will support volume names for the destination
    - New option for junctions during backup (ignore)
    - Progress status in Windows notification area as tip at icon
  - Bug fixes:
    - On new tasks, started via the commandline, the number of files to be
      backed up will be calculated before starting the backup to ensure a correct
      progress display.
    - Fixed processing of junctions: calling CreateFile in GetFileNameFromSymLink
      and detection of recursions

5.8.5.3 (2016-11-25)
-------
  - New:
    - Functions to create Desktop shortcuts also for Restore, Cleanup and
      Verify tasks
    - Enhanced uninstaller allows deleting of task and log files
  - Changes:
    - On starting the program the privilege "SeBackupPrivilege" is set
    - New option on cleanup: keep empty directories
  - Bug fixes:
    - Fixed: if the option "Lock screen on backup during shutdown" was enabled,
      the shutdown was not performed (see option /end:shutdown)

5.8.5.2 (2016-11-12)
-------
  - Bug fixes:
    - Fixed: format error
    - TbBackup will read "profiles.ini" also if not UTF-8
    - Fixed: Reading of profile in TbBackup

5.8.5.0 (2016-11-10)
-------
  - New:
    - New utitlity program for simple backup and restore Thunderbird data
    - New function: backup of selected single files
  - Changes:
    - Adjustable encryption depth also for enc and gze files, file format changed,
      restore of encrypted files created by former versions is still possible
    - Enhancements in wizard to create new backsup tasks
    - Commandline option /end:shutdown will shutdown the computer even if no
      interactive user is logged on (in difference to /end:poweroff)
    - New options in Desktop Shortcut dialog: shutdown and hybrid shutdown
    - User can select if the status windows will be displayed on top or not
  - Bug fixes:
    - Fixed: Extracting from zip files in PbRestore
    - Fixed: if during an automatic backup (e.g. after logon) a buj file was opened
      by double click, the program hung up.
    - Fixed: Commandline option /prompt for cleanup, verify and restore
    - Fixed: using an alternate account for net access
    - Fixed: evaluation of command line options /log and /logdir

5.8.4.4 (2016-09-26)
-------
  - Changes:
    - If backing up into single zip files and the encryption is enabled or disabled
      all files will automatically renewed
    - Commandline option /prompt also for Restore, Clean und Verify
    - New restor eoption: delete destination directory prior to restoring (only
      used by TbBackup)
    - Enhanced error message if update download fails
  - Bug fixes:
    - Writing of VSS document "VssBackupDoc.xml" into zip file fixed
    - Fixes on creating of zip files with verifiction
    - Dialog for time comparison settings fixed
    - Displaying balloon tooltips in the notification area after autostart fixed
    - On restore not selected directories were created anyway
    - When starting an automatic task via commandline, the option /end:restart
      was not executed - fixed
    - After canceling the backup the temp. file was not deleted

5.8.4.3 (2016-08-21)
-------
  - Changes:
    - Status window shows long filenames as hint
  - Bug fixes:
    - Commandline option "/edit" was not detected on startup
    - When starting an automatic task via commandline, the option /end:..
      was not executed -fixed
    - The option /prompt:.. did not work on automatic tasks via commandline - fixed
    - Mail delivery fixed: after failed authentication the connection was not
      canceled

5.8.4.2 (2016-08-04)
-------
  - Bug fixes:
    - Compatibility to Windows XP fixed (calling GetProductInfo)

5.8.4.1 (2016-08-02)
-------
  - Bug fixes:
    - Writing the operating system info to log file fixed (only relevant to
      sstem with installed service packe)

5.8.4.0 (2016-07-31)
-------
  - New:
    - New option: directory for security copies in root folder of backup
  - Changes:
    - System version info in verbose log changed from TOSVersion to
      GetSysVersionLongString
    - Entry in startup menu will be changed only on closing the main window
    - If a control file from the command line was not found, always the
      desktop window will be opened
    - New placeholder for log file (%taskname% = filename of task)
    - Option /dir:... can use also task from commandline instead of default task
    - On schedules the root destination will not be deleted if empty
  - Bug fixes:
    - Error on reading log files with incorrect coding (e.g. mixed ANSI/UTF8)
      resulting in error message "No mapping for the Unicode character..." fixed
    - Setting for backup progress was not displayed correctly

5.8.3.1 (2016-06-28)
-------
  - Bug fixes:
    - Checking for invalid characters in destination path fixed

5.8.3.0 (2016-06-22)
-------
  - New:
    - Check for integrity of downloaded file on automatic program updates
    - Check for invalid characters in destination path
  - Changes:
    - Enhanced error messages on verification
  - Bug fixes:
    - Automatic detection of volume names for source directories fixed. Under
      Windows 10 USB sticks are registered as local drive (DRIVE_FIXED instead
      of DRIVE_REMOVABLE).
    - Error logging fixed

5.8.2.3 (2016-06-09)
-------
  - Bug fixes:
    - Copying of permissions of directories with long names added
    - Error on creating directories with a length of exact 248 characters fixed
    - A full destination medium was not recognized on backup
    - Security copies of files without extension were not recognized

5.8.2.2 (2016-06-06)
-------
  - Changes:
    - Enhanced error message on unexcpected errors during FTP restore
    - On copying permissions long file name are allowed
  - Bug fixes:
    - Error restoring files from zip files per directory fixed
    - Error in displaying file list in PbRestore fixed
    - Error counting files fixed if only subdirectories are selected
    - Error on FTP directory changes fixed if only some subdirectories were
      selected

5.8.2.1 (2016-05-20)
-------
  - New:
    - New options for external programs after backup
    - PbStarter can run a file manager under a different account
    - User adjustable appearance (see 5.8.2) was deactivated because there are
      problems with automatic backups on logon and shutdown
  - Changes:
    - Enhancements in PbRestore
    - Enhanced notifications after autostert
  - Bug fixes:
    - Error message on locked directories fixed
    - Error on automatic backups on logoff on special days of the week fixed:
      If only tasks of this kind were active, the program quitted after
      startup immediately.
    - Error in PbRestore on restoring files from schedules fixed
    - Error detection on writing to file fixed
    - Error in context menus of open file dialog fixed (bug in Delphi libraries
      fixed by "VCL Styles Utils")

5.8.2.0 (2016-05-03)
-------
  - New:
    - User adjustable appearance
  - Changes:
    - User selected log directory also for FTP, SMTP and VSS
  - Bug fixes:
    - Section search in log view fixed
    - Error displaying the number of deleted files during synbchronization fixed
    - Error sending FTP command OPTS UTF8 fixed
    - Errors in PbStarter fixed

5.8.1.0 (2016-04-18)
-------
  - New:
    - New utility program to start a backup under a different account
    - New dialog for setting program preferences
    - Reorganization of used own Delphi units
    - Presets for marking security copies are user adjustable
    - New option for mail attachment: only on errors
    - New backup option: no check for volume name of source
    - New log option: error summary at the end of the log
    - Using security copies, a selectable minimum number of older versions will
      be retained irrespective of file age
    - New placeholder %username% for external programs before and after backup
    - New command line option: /logdir:<dir> for alternative log directory
    - The mail address of the recipients may contain the placeholder %username%
  - Changes:
    - Restore of empty directories
    - Scanning of subdirectories optimized
    - If a zip file will remain empty after backup, it will not be created in the
      destination
    - Position and size of log window is saved
    - Progress info during backup was changed
    - Enhanced progress indicator
    - On deleting at source root and subdirectories can be selected seperately
    - Show compress ratio of files in long log
    - On restoring via FTP of gz and zip file the original timestamp is restored
    - Deleting to recycle bin uses IFileOperation (instead of SHFileOperation)
  - Bug fixes:
    - Restore of directory timestamps fixed
    - Preview for encrypted files on restore fixed
    - Fileview in directory select dialog fixed
    - Some errors on program settings fixed
    - Creating of directories on FTP fixed
    - Error restoring and deleting hs-files fixed
    - If an option in a task was changed where the destination was specified
      by a volume name and this medium is not mounted, the user will no longer
      be prompted to insert the medium.
    - When inserting application name and working directory into the Windows
      Task Scheduler quotes are added if the names contain spaces
    - Error setting attributes and timestamp of root directory fixed
    - Error on crypting single zip files with 256 bit fixed
    - Showing zip archives in the directory selection window disabled
    - Restore fixed when files and directories are alternately selected/deselected
    - Backup via FTP into separated zip files per subdirectory fixed
    - Error with file timestamp for security copies fixed if the archive bit is used

5.7.4.1 (2016-03-18)
-------
  - Bug fixes:
    - Error fixed when restoring uncompressed files if encryption and plain files
      are mixed
    - Similar error in verify fixed
    - Synchronizing of selected sub-subfolders fixed

5.7.4.0 (2016-01-08)
-------
  - Changes:
    - Renaming of temp. files and opening of files for verification will be tried
      for several times, to avoid errors if the files are not accessible for a
      short moment
    - Rearrangement of "CoInitializeSecurity" for VSS
    - Enhanced system error messages in verbose log for TZip
  - Bug fixes:
    - Error on renaming a temporary file if in the source directory a file is
      existing both in normal and in compressed form
    - Error in log view fixed if after a system crash zero bytes were written
      to the log file
    - Error on backup using VSS into zip file fixed
  
5.7.3.8 (2015-12-15)
-------
  - Bug fixes:
    - Error after finishing time scheduled automatic tasks fixed if no task
      is openend in the main window ("Cannot focus a disabled or invisible window")
    - The program was closed when double-clicking a task file in the Explorer
      the second time
    - Error in FTP backup when saving files into a directory outside the root of the
      logged-on user fixed

5.7.3.7 (2015-12-03)
-------
  - Bug fixes:
    - Deleting of backup security copies during synchronization only if the
      sync security copies option is deactivated
    - Setting of option "Allow display to be switched off .." fixed
    - Option to delete security copies depending on backup date fixed

5.7.3.6 (2015-11-20)
-------
  - Bug fixes:
    - Mail delivery fixed: wrong attachment after sending a test mail
    - Error on word wrapping in printouts for long filenames fixed
  - Changes:
    - Option to delete security copies depending on backup date activated again

5.7.3.5 (2015-11-15)
-------
  - Bug fixes:
    - Backup notes were missing in mail
    - Error deleting security copies fixed
    - Error replacing a directory to be saved fixed
  - Changes:
    - Improvements in log, e.g. additional system error messages in verbose mode
    - Deleting of old security copies also if no original file has to be copied
    - Deleting of security copies in separate directories during synchronization

5.7.3.4 (2015-11-04)
-------
  - Bug fixes:
    - Error fixed writing the Utf8 bom into the log file on systems that do not
      use the codepage 1252 (ANSI Latin 1; Western European).
    - Deleting the SMTP log after testing did not work
    - Some changes on sending a test mail
    - Some changes in the verbose log

5.7.3.3 (2015-10-30)
-------
  - Bug fixes:
    - Checking for aborted backups (see 5.7.1) fixed (managing of lock file)
    - Error in PbRestore fixed for files not be copied
    - Error on restore via FTP fixed

5.7.3.1 (2015-10-28)
-------
  - Changes:
    - Before writiing into the temp. directory each time the program wil check
      if this directory is still existing. If not it will be created (safeguard
      against running cleaner programs)
    - Copying of file and directory permissions is done as last action (after
      attributes and time stamps)
    - To differentiate between zip files created during compression of single
      files and normal zip files, the otherwise unused bit 7 of the "general
      purpose bit flag" in the local file header is set
    - If a backup was aborted due to a system crash, the user will be informed
      about this on the next start and will have the option to catch up
      on this backup.
    - Deleting into the recycle bin is enabled for all NTFS destinations (until
      this only for "fixed drives")
  - Bug fixes:
    - Permissions for the root directories to be backed up were not set
    - Several bugs in restore fixed
    - The program tried to set attributes for deleted empty directories

5.7.3.0 (2015-10-02)
-------
  - Changes:
    - In the modes "Full", "Diff." and "Inc." the destination directory will
      be deleted separately for each directory (see changes in 5.6.0) because
      the whole backup was deleted even if a source path was not available.
      The program checks for overlapping directories if they are arranged in
      in an order with parent directories at first
    - Clicking on one of the selected directories to be backed up will start
      the update of the type lists in an own thread
    - The dialog to open a task will always start in the directory of the last
      opened task. To open from the default task directory an additional menu
      item was added.
    - Restore status display changed
    - Preview function in PbRestore
  - Bug fixes:
    - Selection of days of the week for automatic backup fixed (sometimes
      Mo was added by the program)
    - Directories containing no files but subdirectories could not be deleted
    - Already compressed files were not packed properly into encrypted single
      zip files

5.7.2.1 (2015-09-11)
-------
  - Changes:
    - Modifications to "DPI awareness" (e.g. on 4k screens since Windows 7)
    - Improved restoring of security copies
    - Log item for backup mode added
    - Time optimization in the progress display
    - Optional selectable temporary directory
    - The directories to be backed up are updated only after double click
    - Extended log messages on errors
  - Bug fixes:
    - Bug in comparison of date in PbRestore when restoring alternating schedules
      fixed
    - Error in task schedule wizard for monthly backups fixed
    - Timeout error on verifying large files fixed
    - Verify error on verifying large single zip files fixed
    - Error on weekly schedules fixed
    - Junction files (.pblink) were deleted on synchronization
    - Error on wait time and multiple FTP connection attempts fixed
    - Warning message on setting FTP timestamps fixed
    - An omitted backup at logoff on selected days of the week was not catched up
      when the program window was opened after next start because the time
      schedule was new calculated on minimizing the window
    - On automatic backups the file counters were not updated
    - Detection of files > 4GB on FAT32 and backup of files where only the
      attributes were changed fixed

5.7.1.3 (2015-07-11)
-------
  - Bug fixes:
    - When starting a backup via the context menu in the system tray the wrong
      task was started
    - Error in total volume progress for total size of zero fixed (results in
      "division by zero" and read error)
    - Error on synchronizing security copies fixed

5.7.1.2 (2015-07-07)
-------
  - Changes:
    - Display of dates for next backup changed
  - Bug fixes:
    - Error on saving the settings for backup copies during synchr. fixed
    - Entries for automatic task in ini file fixed
    - Error on catching up a full backup in schedule with day of the week and
      7 daily cycle fixed
    - Error on synchronizing of subdirectories fixed
    - Error during synchronization in mode "Selected files, delete other" fixed
    - Deleting of directories into recycle bin always generated an error

5.7.1.1 (2015-06-26)
-------
  - Bug fixes:
    - File extension of task file in TaskSchedDlg fixed
    - Restore of zip files fixed
    - Error on number input fixed

5.7.1.0 (2015-06-23)
-------
  - New:
    - Optional: Backup of single files as zip files (also on FTP)
    - Exceptions for file types not be compressed also for zip files
    - Optional: use of volume shadow copies (VSS) - requires administrator privilege
    - Security copies optional into separate directory
    - New command line option /end:idleoff: as /end:poweroff, but the system will
      only be shut down if no interactive user is logged on
    - New task option: scan directories before backup to ensure a reliable
      toal progress bar.
    - New global option: lock the computer before backup is started on logoff/shutdown
    - Automatic deletion of older log files
    - Language: French
  - Changes:
    - Status window saves position for two monitors
    - Advanced settings for FTP connection
    - Enhanced copy routines
    - Optional disabling of write cache
    - gz/gze and enc files can be associated with PbRestore
    - No synchronization allowed in combination with deleting of files at source
    - Extended error messages in verbose log during restore
    - Progress bar will show either the amount of copied bytes or the number of
      copied files
    - Settings for security copies redesigned
    - Selection for security copies in Restore, Verify und Cleanup changed
    - Redesign of units and components
    - Error message if SSL ist not avaible for mail delivery
    - Enhanced check if the program can write to the destination path
    - Update to OpenSSL v1.0.2c
  - Bug fixes:
    - Bug on restoring from zip files fixed
    - Error displaying test mail delivery status fixed
    - Deleting of file at source did not work for pathlength>Max_Path
    - Copy of file details fixed
    - On backups from net drives a missing connection will be renewed automatically
    - Using the option /repl:.. with VSS (see 5.6.0), the archive bit of the
      source file was not resetted in full or incr. mode
    - Copying of locked files fixed
    - Enabling of synchronization fixed
    - Disabling of compression for zip files fixed
    - Backup and full destination error fixed
    - Restore of junctions fixed
    - After canceling a directory scan the previous values were not recovered
    - Restore and Verify from zip files with path containing a volume name fixed
    - Error creating a desktop shortcut containing a period in the name fixed

5.6.7.0 (2015-02-05)
-------
  - New:
    - New placeholder for destination directory: n alternating days, weeks or months
  - Bug fixes:
    - Bug on saving the settings for zip encryption fixed

5.6.6.0 (2015-01-25)
-------
  - New:
    - gz/gze files can be associated with PbRestore
    - Additional button in Restore, Cleanup and Verify dialog to save the task
      immediately
  - Changes:
    - Enhanced error messages in verbose log for system errors
    - Setting of timestamps, etc. is done after renaming the temp. copy
    - Dialog for log settings changed
    - Additional save buttons in dialogs for Restore, Cleanup and Verify
    - On backups into zip files as part of an alternating schedule the
      destination director< will not be erased
  - Bug fixes:
    - Error message fixed when renaming of temp file failed
    - Bug in Delphi library Vcl.Forms fixed: Switching the desktop from one to two
      monitors and reverse was not detected on runtime. Message processing for
      WM_DISPLAYCHANGE inserted to TScreen.
    - Function "Replace folder" fixed (see 5.6.5.0)
    - A lot of fine tuning (visual, tab orders, etc.)
    - Error on synchronizing of directories with security copies fixed

5.6.5.0 (2015-01-10)
-------
  - New:
    - Replacement of a directory to be saved using the context menu, e.g. if
      the volume name of an external drive was changed
  - Bug fixes:
    - The position of the program window was not saved before maximizing
    - Error of filter settings for filename suffixes in Restore, Cleanup and
      Verify fixed
    - Error on security copies for synchronization od directories fixed if no
      prefix was specified
    - Error loading restore tasks from zip files fixed
    - Error on replacing placeholder %status% when executing an ext. program fixed

5.6.4.0 (2014-12-14)
-------
  - Changes:
    - Minor changes in password dialogs
    - Time compare error on weekly schedules fixed
    - Adjustable prefix for log as mail attachment
    - New placeholder for external programs: password prompt
    - Dialog for restore to source directory changed
  - Bug fixes:
    - Saving of automatic backups referring to a task that does not exist fixed
    - Error on evaluating the ini file path with placeholder for file
      PersBackup.cfg fixed.
    - Error on displaying the restore selection fixed if more than one root
      directories were found

5.6.3.1 (2014-11-16)
-------
  - Bug fixes:
    - Plugged-in USB media were not detected

5.6.3.0 (2014-11-14)
-------
  - New:
    - The entry in the folder context menu for "one-click backup" can be switched
      on and off for the current user using the program's main menu.
  - Changes:
    - Enhanced error messages in log if writing to destination was impossible
    - The name of an automatic task can be changed by the user
  - Bug fixes:
    - For destinations on network servers the option "copy permissions" was
      disabled
    - Processing security copies the filename could not contain the "#" sign.
    - Error during backing up into zip file with schedule fixed

5.6.2.0 (2014-10-25)
-------
  - New:
    - Optionally, a "one-click backup" of a directory can be started by right-clicking
      this directory in the Windows Explorer using the settings from a selectable
      default backup task.
    - Program icons in different sizes
  - Changes:
    - If in the progress dialog of a backup one of the options "Logoff" or "Shutdown"
      is selected, thereafter also the scheduled automatic backups on logoff
      are executed
    - Task directory either "default" or "selection"
  - Bug fixes:
    - Deleting of destination directory on "full, diff., incr." modes fixed

5.6.1.0 (2014-10-13)
-------
  - Changes:
    - Updated help files
  - Bug fixes:
    - Placeholder for status in Restore, Cleanup and Verify fixed
    - Display of total progress fixed if directories are deselected
    - AppId in InnoSetup script fixed

5.6.0.0 (2014-10-06)
-------
  - New:
    - Desktop link for more than one backup task
    - New command line option /repl:<Lw>=<UNC> for integration in the program
      "Volume Shadow Copy Simple Client"
    - Optionally Windows can switch off the display during backup
  - Changes:
    - Optimized copy process in single file mode (during file copy the directory
      already will be scanned for other files to be backed up)
    - Notes on errors during synchronization in mail and log status
    - When starting a task via Windows scheduled tasks now optional the
      log settings from the task can be taken (before only individual
      settings were possible)
    - Moving the mouse over the list of directories to be saved, will display
      corresponding file count and total number of bytes
    - In the modes "Full", "Diff." and "Inc." the destination directory will
      already be deleted before starting the whole backup and not before copying
      the single directories -> Fixes a problem with overlapping directories
  - Bug fixes:
    - Error on excluding security copies of files without extension in Restore,
      CleanUp and Verify fixed
    - Enhanced error checking
    - On schedules sometimes no timestamp file $TimeStamp.pbu was written at
      destination
    - Positions of windows for backup and status after right click on the
      icon in the notification area fixed (if taskbar at top or left)
    - In mail subject for restore, cleanup and verify the placeholder %taskname%
      was not replaced
    - Settings for FTP timeout and connection retries were not saved on Restore,
      Cleanup and Verify

5.5.10.0 (2014-08-31)
--------
  - New:
    - Placeholder for hourm minute and name of source volume
  - Bug fixes:
    - Update of Spanish translation
    - Setting of mode for mail delivery fixed
    - Error in task scheduler wizard fixed (advanced settings on daily)
    - Error creating a directory in destination was not displayed as error
      in status window

5.5.9.0 (2014-07-23)
-------
  - New:
    - Language: Spanish
  - Bug fixes:
    - Error on checking the availability of network directories
    - Error message on external programs fixed
    - Error fixed on mail delivery (restore and clean up): if no matching files
      were found, an error was generated
  - Changes:
    - Small changes in mail test

5.5.8.0 (2014-07-08)
-------
  - Bug fixes:
    - The program sometimes hangs up after start (e.g. in PE environments) if the
      schedule service is not running and cannot be started.
      Bug fix: Because this servive should run normally by default, the program
      does not try to start it and disables all task scheduler functions.
    - On restore the creationtime of directories was not copied
    - Error on backup to network directories using an alternate use fixed
    - Error of placeholder for status in mal subject fixed
  - Changes:
    - Enhanced test function for mail delivery with traffic log
    - New placeholder for number of day of week (Monday = 1)
    - Hungarian help files (translated by Robert Kovacs)
    
5.5.7.0 (2014-05-14)
-------
  - Bug fixes:
    - Deleting of empty root directory fixed
    - After deleting files the notification mail was sent twice
    - Error on backup with previous synchronization and no subdirectories
      into an empty diretory fixed
  - Changes:
    - Automatic detection of key length on restore from encrypted zip files
    - Small corrections of the program desktop

5.5.6.0 (2014-04-12)
-------
  - New:
    - Optional log of FTP communication to debug connection issues
  - Changes:
    - Update of SSL components to version 1.0.1g to close the "Heartbleed" security hole
    - During long FTP transfers, every 5 minutes a NOOP is sent to keep the
      control channel alive and to prevent the server from closing the connection
    - Error message in log if the FTP deletion of the root directory fails
    - Enhanced error messages in verbose log during synchronization
    - Checking of connections to network resources was improved
  - Bug fixes:
    - Error on starting weekly schedules fixed
    - When starting with option /ini:.. no subdirectory will be created in AppData
    - Changing directories on FTP servers fixed (only for servers that return the
      full path after PWD and when the option "all to lower/upper case" is selected
    - Backup in mode "Full,.." on Strato-FTP-Server fixed
    - Handling of conversion errors with "SITE ZONE" command in IdFtp

5.5.5.0 (2014-03-12)
-------
  - New:
    - Button in task wizard to insert the volume name of a removable medium
    - Maximum age of security copies (nut FTP)
  - Changes:
    - Additional button for Program Data in Wizard
    - FTPS also without passive mode
    - Reading FTP file list optimized
    - Additional check before synchronizing if source directory is accessible
    - FTPS: either Explicit SSL/TLS (If available) or Implicit SSL/TLS (Always)
    - Additional button to set the log file name to default
    - Enhanced FTP error message in log
    - Adjustable number of connection FTP attempts
    - Enhanced error messages on sending mails
    - Mail delivery using SASL authentication
    - Behaviour of checkbox for notification area changed
    - Additional information during restore in verbose log
  - Bug fixes:
    - On automatic tasks the time sometimes was reset to default
    - Enhanced handling of breaked connections on secure FTP transfers
    - Error on verifying enc files without decryption fixed
    - Fixed Delphi function "DirectoryExists" will acknowledge ERROR_BAD_NET_NAME
    - Error writing size of gz files >4GB via FTP fixed
    - Computing of copy speed fixed
    - Errors in convert tables ANSI <> OEM (zip) fixed

5.5.4.0 (2014-01-31)
-------
  - New:
    - File filter can be copied from previous directory entry
    - New file selection: older than x days
  - Changes:
    - New default types of files not to be compressed will be merged automatically
    - Time-compare dialog changed
    - More user-friendly support of placeholders for external programs
    - Adjustable number of allowed timeouts
  - Bug fixes:
    - Display of text for file security fixed
    - Invalid error message on backup as zip via FTP removed
    - Restore from zip files did not work
    - Deleting of files at source after copy fixed
    - Correction on checking different attributes

5.5.3.0 (2014-01-05)
-------
  - New:
    - Language: Dutch
  - Changes:
    - Distinguished error message on renaming temporary copied files
    - Changes setting attributes at destination
    - Files >4GB will be accepted for LTFS file systems
    - Extended status message at end of backup
  - Bug fixes:
    - On synchronisation via FTP the files from directories to be deleted were
      counted twice
    - If on backups with enabled encryption, no password was specified,
      synchronisation failed on some file types
    - The FTP password was stored in backup task even if not specified
      as permanently
    - Error message fixed on connection failure when copying of zip file via FTP
      is started
    - Error synchronizing gz files fixed
    - Root directory was not created on alternating schedules via FTP

5.5.2.2 (2013-12-21)
-------
  - Changes:
    - With command line option /showlog optionally a log filename can be specified.
    - Files with changed attribute were always be copied. From now changed
      attributes (excewpt the archive bit) are directly change at the destination
      without copying the file.
    - When deleting a directory from a backup task, optionally also the appropriate
      destination directory can be deleted.
  - Bug fixes:
    - On backups with resetting the archive bit, a new file copy was made because
      the attributes had changed (refer to the above not under changes).

5.5.2.1 (2013-12-16)
-------
  - Bug fixes:
    - Error on some servers creating the base FTP directory fixed
    - Error on selecting root directories for deleting fixed

5.5.2.0 (2013-12-14)
-------
  - Changes:
    - If main window is reopened after minimizing, the task will be reloaded.
      So prior changes, not saved  before, will be canceled.
    - Additional error messages in log if temp. files could not be renamed
    - Deleteing of directories using the context menu of the directory
      select dialog enhanced
    - Error message if a desktop link could not be created
    - The FTP command MKD will accept also the reply code 200
  - Bug fixes:
    - Files with changed attributes now will be copied.
    - Archive attribute was always set at destination
    - During synchronization security copies moved to a subdirectory were
      deleted
    - Error on creating references to junctions fixed
    - Wrong error message on renaming security copies fixed
    - Processing of relative FTP paths after PWD fixed
    - Command lines for external programs are no longer displayed in log and
      mail delivery if they are stored encrypted in task file
    - Two-line status message on backups with synchronization fixed
    - Error on synchronizing gz files via FTP fixed
    - After automatic backups the user was asked for a prompt not only on
      errors buts also on warnings

5.5.1.0 (2013-11-7)
-------
  - Changes:
    - Default value for copy timeout increased to 60s
    - Junctions will be always saved as "pblink file"
    - Junctions are displayed in restore dialog
    - Enhanced error handling on FTP restore
    - Enhanced settings for daily scheduled tasks
  - Bug fixes:
    - Rounding error with backups on selected day of week fixed.
    - Restoring of junctions fixed
    - Selection of directory on FTP restore (passive mode) fixed
    - Check for existing FTP connection during Restore and Verify inserted
    - Search for ssleay32.dll and libeay32.dll for mail delivery fixed

5.5.0.1 (2013-10-12)
-------
  - Bug fixes:
    - Error comparing timestamps and option size compare fixed
    - Handling of timestamps in the future fixed (see 5.4.2.5)
    - Error with command line option "backupdir" (used by PbPlaner) fixed
      (full path was not expanded)

5.5.0.0 (2013-09-25)
-------
  - New:
    - Copying of file permissions (only NTFS and network)
    - Restore of file permissions (only NTFS and network) and file details
    - Optional password protection for overwriting of task file
    - New commandline option (/reset) to reset the main window position and to avoid from
      loading of last task file
    - New mode for synchronization: synchronize selected files, delete all other
      (additional to: synchronize selected files, retain all other)
    - Directories to be backed up can optionally be skipped if the corresponding
      drive is not available
    - Junctions are backed up and can be restored
    - Languages: Hungarian and Italian
  - Changes:
    - New ini section for main window position (compatibel to former version)
    - Selection of action after backup in status window only for backups started
      using the button and backups started via the command line using the new
      option /noaction
    - Additional information in long log about settings and options
    - Units ExtFileTools und FtpTools revised
    - Full backup controlled by PbPlaner uses mode specified in task (copy or
      Full (new), see 5.4.5.0))
    - After an error during copying a temporary zip file via FTP, this file will
      not be deleted but either saved by the user or, when operating automatically,
      left renamed in the temp directory with a timestamp in the filename
    - Security copies into subdirectories may have no suffix
  - Bug fixes:
    - Restore of uncompressed files fixed: write protected files could not be
      overwritten
    - It was not possible to activate the compression for all file types
    - Error creating a zip file is handled
    - Error using the destination directory from the command line fixed
    - Error in scheduled task wizard fixed (end date could not be set)
    - Replacement for illegal characters in filenames could not be specified
    - Error canceling a restore fixed
    - Computing the sums for included and excluded types using a filter fixed
    - Backing up of junctions fixed

5.4.8.0 (2013-07-09)
-------
  - Bug fixes:
    - Setting for automatic program updates was not displayed in menu
    - Volume names were not detected when starting a restore, verify or cleanup
      task from the command line
    - Catch up a full backup in weekly alternating schedules
    - Speed optimization with Restore and Verify
    - Weekly backups fixed
  - Changes:
    - When starting from a removable drive (e.g. USB stick), not only the ini file
      and the log files are written automatically to the program directory on
      this drive (see 5.0.2.1) but also the file PersBackup.cfg
    - Automatic updates: version and download address in separated files
  - New:
    - Additional options to set process priority and processor load during
      file copying

5.4.7.2 (2013-06-21)
-------
  - Changes:
    - Checks for program updates are made only every 14 days to reduce
      traffic on Personal Backup web server

5.4.7.1 (2013-06-20)
-------
  - Bug fixes:
    - Changes in WaitForThread to reduce high processor load
  - Changes:
    - Auto update disabled to reduce traffic on Personal Backup web server

5.4.7.0 (2013-06-14)
-------
  - Bug fixes:
    - Reduced height window was not saved
    - Synchronization with file filter fixed
    - When changing the synchronization mode the change flag was not set
    - With backups into zip files the option "Reset archive bit" was not saved
    - Catching up full backups in alternating schedules fixed
    - FTP backup fixed when only deeper subdirectories are to be copied
  - Changes:
    - HeloName has fixed vale "PersonalBackup" (Is set otherwise by Indy to
      computername which gives an error on exchange server if containing umlauts)
    - Additional entries in extended log on synchronisation via FTP

5.4.6.0 (2013-05-08)
-------
  - Bug fixes:
    - Access violation error after file preview via context menu fixed
    - Moving security copis to subdirectory fixed
    - Automatic backup on weekly backups fixed
  - Changes:
    - SMTP timeout increased to 30 s
    - Additional entry in extended log before sending a mail
  - New:
    - After backup on shutdown an optional delay may be inserted
    - Synchronization can be done alternatively before or after backup

5.4.5.0 (2013-04-22)
-------
  - Bug fixes:
    - Checkbox was not moved on reordering of directories to be saved
    - Synchronization of enc files of other applications fixed
    - Tasks from the command line were not expanded with the default extension
    - Catching up omitted weekly backups fixed
    - Memory leak on verifying via FTP fixed
  - Changes:
    - Schedules with automatic backups will use the mode defined in task for
      the first backup, i.e. either "Copy" (opt. with synchronization)
      or "Full (new)".
    - If a backup task has been renamed, the program checks whether this task
      is used in automatic backups. If the user wishes, he can update this.
    - When moving the mouse over the number buttons of the automatic tasks, the
      name of the assigned task will be displayed.
    - Minor changes in log output
  - New:
    - New action menu item to delete old log files

5.4.4.0 (2013-03-14)
-------
  - Bug fixes:
    - Second bug fix for checking if a net drive or net resource is connected
      (see 5.4.3.1 and 5.4.2.6)
    - Display of background in type selection lists fixed
    - 100% display in update dialog fixed
    - Mail delivery was signalled even if no recipient was selected to receive
      a mail after a backup without errors
    - Security copies starting with %bdate% were not recognized for deleting
    - Some other bug fixes for deleting of security copies
    - Bug fixes in PbPlaner
    - Restoring of directories with PbRestore fixed
    - Error creating security copies during backup fixed (backslash in file
      path was missing)
  - Changes:
    - When deleteting security copies the option "File age" is disabled if the
      option "Age of security copies" is selected.
    - Synchronizing is done after backup (not before)
    - Settings for selection of security copies changed for Restore, Verify and
      Cleanup
    - Enhanced file type view with sorting according to name, count and size
    - New shortcut "Esc" to minimize if automatic tasks are active
    - Display progress when sending mail

5.4.3.2 (2013-02-22)
-------
  - Bug fixes:
    - Another bug fix for checking if a net drive or net resource is connected
      (see 5.4.3.1 and 5.4.2.6)
    - Startup entry fixed
    - Resizing of status window fixed
  - Changes:
    - "silent" installation without starting the program automatically requires
      additional command line parameter "/norun"
    - History list for restore and clean up in task bar context menu

5.4.3.1 (2013-02-19)
-------
  - Bug fixes:
    - Bug on security copies with placeholders for date or time fixed
    - Activecontrol is set to default on deactivate to prevent from
      popping up confirmation dialogs on reactivation
    - Deleting of directories to recycle bin did not work properly
    - Display error in status window with Windows 8 fixed
    - Detection of already connected net drives fixed (see 5.4.2.6)
    - Startup entry is adjusted when changing between 32 and 64 bit version

5.4.3.0 (2013-02-14)
-------
  - Changes:
    - An instance started with /force has its own mutex and will not be stopped
      when opening the program manually
    - If the instance was started with /force, the opening of the program using
      the symbol in the Windows notification area is disabled
  - Bug fixes:
    - Restoring the minimized application fixed
    - Bug when deleteing non existing tasks from the history lists fixed

5.4.2.6 (2013-02-06)
-------
  - New:
    - Windows 7 libraries can be added directly to the backup task
  - Bug fixes:
    - Confirmation on changes of automatic backups fixed
    - The result of checking a not available network path with DirectoryExists
      is erraneous. Inserted an extra check for net drives and shares.
    - Exception on not-defined default printer is handled (enhancement)

5.4.2.5 (2013-01-31)
-------
  - Changes:
    - New option: exact time compare, i.e. files will be overwritten at the
      destination if the timestamps differ more than the selected tolerance
      regardless of whether they are older or newer.
    - Timestamps in the future are not corrected on backups if archive bit
      is used or the option "exact time compare" is set.
    - On backup, all copies are first made to a temporary file. If an error
      occured, this copy will be deleted so that the file from the previous
      backup will be retained. Otherwise the file is renamed to the original value.
    - If option "Copy creation time" ist set, also the last access time will be
      copied.
    - Security copies (previous versions) can be optionally moved to a
      subdirectory
  - Bug fixes:
    - IdleHandler (Backup on logoff) fixed
    - Memory leak in FtpFileTools fixed
    - Counting of weekly schedules fixed

5.4.2.4 (2013-01-17)
-------
  - Bug fixes:
    - Error on sending mail with log fixed
    - The desktop window was not shown when a task was opened for editing by
      double-clicking in the Explorer and the program was running in background.

5.4.2.3 (2013-01-16)
-------
  - Changes:
    - Minor changes in log output (show attributes on errors)
    - A remote connection with an alternative account will be canceled
      after backup
    - Clearing the readonly bit for deleting files changed
    - No restart after update
    - New command line option for PbPlaner (/ini:..)
    - Backup security copies optional to subdirectory
    - Log file is written as UTF-8 textfile as in 5.3 (see changes in 5.4.0.0)
  - Bug fixes:
    - Delay loop in WaitForThread optimized
    - Copying of file infos is only allowed with no compression and no encryption
    - After canceling a backup, an invalid number of files was displayed
    - Elapsed time can be longer than 24 hours
    - Synchronizing of gz files fixed if compression is off

5.4.2.2 (2012-12-20)
-------
  - Changes:
    - Modifications for new system routines (FileExists, etc.) with FollowLink
    - Error message in log changed for broken FTP connection
  - Bug fixes:
    - Small fixes in symbolic links
    - Sorting by date in file preview for Restore fixed
    - Backup on logoff could not be canceled
    - Counter to repeat FTP copies after broken connection was not reset to
      zero in all cases

5.4.2.1 (2012-12-03)
-------
  - Bug fixes:
    - Date of last change was erraneous for $timestamp and root directory
    - Bug during synchronization of files not to be compressed fixed
    - Elapsed time was not updated during synchronization

5.4.2.0 (2012-11-29)
-------
  - Changes:
    - Timestamp file in the destination folder can optionally be written
      also at backup modes other than in schedules
    - Automatic backups will no more be removed if the task file could not be found
    - Error message in log if the task file could not be found
    - Added some common file types to the list "not to be compressed"
    - The timestamp of the root directory of the backup is set to the start time
      of the backup
  - Bug fixes:
    - Mail delivery in case of erros fixed
    - IMWndProc fixed
    - When changing to encryption, existing gz files were not deleted
    - Synchronisation fixed
    - Readonly files were not be deleted
    - Error writing log file fixed (zero byte)
    - Exception on not-defined default printer is handled

5.4.1.0 (2012-11-15)
-------
  - Changes:
    - Added in PbRestore: Restore of directory trees in zip files
    - After replacing an automatic the settings will be retained
  - Bug fixes:
    - Log off/Shut down/Standby were not performed with tasks opened via
      double-clicking the file
    - Thread error (memory leak) in ShellCtrls fixed
    - Archive bits of the source directories were not reset properly (if this
      option was selected)
    - After scanning a directory sometimes the NoDrop cursor was displayed
    - Changes in ShellCtrls: a refresh required a nearly endless time with large
      directories
    - Several small bugs in cleanup log fixed

5.4.0.2 (2012-11-01)
-------
  - Bug fixes:
    - Error when opening the mail dialog and no reciepients are specified fixed

5.4.0.1  (2012-10-26)
-------
  - New:
    - New option when deleting security copies: placeholders for the backup date
      in file and directory names can be evaluated
    - New function in PbRestore to restore from alternating schedules
  - Bug fixes:
    - Issue in ShellCtrls fixed: C:\ is selected in ShellDialog and the view
      has to be updated for any reason => when rebuilding the tree structure
      for a short time D:\ (DVD drive) is selected and the insertion of a medium
      is requested
    - Removed several memory leaks

5.4.0.0 (2012-10-15)
-------
  - New:
    - Source code transferred to Delphi-XE2
    - Directories selected for Backup can be enabled or disabled individually
      by mouse-click
    - New placeholders for user and computer name in destination path
    - Confirmation when changing an automatic backup task
    - Optional mail delivery to selected recipients when errors occured
    - New placholder %status% for external programs after backup  (see ErrorLevel)
  - Changes:
    - Timestamp file in the destination folder only with alternating schedules
    - Changed placeholders:  %computername% and %username%
    - When opening the Cleanup dialog, the current backup destination will not
      be inherited
    - Faster file copy by changes in WaitFor..Thread
    - Log file is written as stream (UTF-8)
  - Bug fixes:
    - When loading a cleanup task for FTP, then FTP mode was not selected
    - Security copies were deleted during synchronization if previous versions
      was selected and no fix name was specified
    - Window size was not retained in state "Maximize"
    - Restore and Cleanup dialogs were moved to background when no files could
      be found to process
    - When starting a backup using the option "/force", the printer was not
      initialized properly
    - Sometimes an error was reported during automatic startup (see 5.3.0.2)
      because the error of a manually started backup was not reset

5.3.2.2 (2012-09-19)
-------
  - New:
    - Delay after return from powersave before starting any backups due
      (same time as during startup)
  - Changes:
    - Change at time filter "older than" (0:00 of the following day is excluded)
    - Text changes in ScheduleDialog: Newer than -> All since
    - After minimizing the old window state will be recovered
  - Bug fixes:
    - Issue when shutting down fixed (Error accessing Screen.ActiveForm in
      ActivateHandler of BuMain)

5.3.2.1 (2012-09-05)
-------
  - Bug fixes:
    - Low copy speed issue (WaitForThread) fixed

5.3.2.0 (2012-08-30)
-------
  - New:
    - Fixed password for encryption with restore tasks
    - Optional: move files to be deleted during synchronization into subfolder
  - Changes:
    - Warning messages during Restore
    - Confirmation when canceling a backup
    - Status window will not be activated with automatic backups. The last active
      application will keep the focus.
    - With active status window the calling window (e.G. Backup) is disabled
    - Display the elapsed time of backup and the progress as percentage in
      status window
  - Bug fixes:
    - It is no longer possible to add virtual folders (e.b libraries) to task
      using drag&drop
    - The system routine "FileAge" caused an error with invalid timestamps
      (EncodeDate), replaced by own routine (had only an effect with extended
      logs)
    - Path handling in the history lists fixed
    - Calling file from list menu with indexes > 15 fixed

5.3.1.2 (2012-07-01)
-------
  - Changes:
    - Small visual changes
    - Warning message when you turn one of the modes "Full", "Differential" or
    - "Incremental".
  - Bug fixes:
    - If an invalid date (BackUpdate) was found in the ini file the time
      value was not accepted
    - If in automatic backups a task for "Log on" was defined before a task
      for "Log off", the program closed at startup
   - Notation of time stamps in the extennded log fixed
   - Minimizing the backup window fixed
   - Issue in the log viewer fixed when a task-specific log is given
   - Error in status (line 2) fixed

=====================================================================
2001 Basic version
=====================================================================
(c) 2001-2021, Dr. J. Rathlev, 24222 Schwentinental, Germany
=====================================================================
